Page MenuHomePhabricator

Regression: Nearby refreshes on search
Closed, ResolvedPublic2 Story Points

Description

Visit https://en.m.wikipedia.org/wiki/Special:Nearby

Click in the search input.
Notice how the nearby results refresh.

Expected: they should not be impacted by search.

Event Timeline

Jdlrobson created this task.Mar 2 2018, 9:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2018, 9:31 PM
Jdlrobson renamed this task from Nearby refreshes on search to Regression: Nearby refreshes on search.Mar 2 2018, 9:31 PM
Jdlrobson added a project: Regression.

This appears to occur at least as far back as REL1_30 and is unrelated to the recent window and jQuery refactoring.

ovasileva triaged this task as Normal priority.Mar 5 2018, 5:17 PM
ovasileva set the point value for this task to 2.Mar 6 2018, 5:20 PM

Change 417979 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Do not refresh routes on all hash changes

https://gerrit.wikimedia.org/r/417979

Change 417979 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Do not refresh routes on all hash changes

https://gerrit.wikimedia.org/r/417979

@Jdlrobson - where can we test?

sorry, what I meant was, does it matter whether there's nothing in nearby or not?

No. You'll still see the spinner if the bug is present.

ovasileva closed this task as Resolved.Mar 14 2018, 3:48 PM
ovasileva claimed this task.

looks good then!